Package: org.codehaus.groovy.util

## [Java] Class IntArrayIterable

- org.codehaus.groovy.util.IntArrayIterable

- All Implemented Interfaces and Traits:
    Iterable

      public class IntArrayIterable
      extends Object
      implements Iterable

  Allows an int array to be used where an Iterable is expected.

  Since:
    3.0.8

- - ### Constructor Summary

    Constructors
    Constructor and description
    `IntArrayIterable(int[] array)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Iterator<Integer>` | `iterator()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public IntArrayIterable(int[] array)

  - ### Method Detail

    - #### @Override
      public Iterator<Integer> iterator()